# Field class

Document field

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: true, createToJson: false, explicitToJson: false)

## Constructors

Field({required FieldType type, OcrResult? value, ValidationStatus? validationStatus})
Field.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
type ↔ FieldType
  The type of the field.
  read / write
validationStatus ↔ ValidationStatus?
  Field validation status. Applicable only to fields that support some kind of validation.
  read / write
value ↔ OcrResult?
  Optional value of the field. Applicable only to text fields.
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited